package org.jboss.as.integration.hornetq.deployers.pojo;

import org.hornetq.api.core.management.ObjectNameBuilder;
import org.hornetq.jms.server.config.TopicConfiguration;
import org.jboss.logging.Logger;

import javax.management.ObjectName;

public class HornetQTopicDeployment extends HornetQJMSDeployment<TopicConfiguration>
{
   private static final Logger log = Logger.getLogger(HornetQTopicDeployment.class);

   @Override
   public void start() throws Exception
   {
      try
      {
         jmsServer.createTopic(false, config.getName(), config.getBindings());
         registerControlReference(ObjectNameBuilder.DEFAULT.getJMSTopicObjectName(config.getName()));
      }
      catch (Exception e)
      {
         log.warn("Error deploying Topic: " + config.getName(), e);
         throw e;
      }
   }

   @Override
   public void stop() throws Exception
   {
      log.info("Undeploying Topic " + config.getName());
      try
      {
         unregisterControlReference(ObjectNameBuilder.DEFAULT.getJMSTopicObjectName(config.getName()));
         
         jmsServer.removeTopicFromJNDI(config.getName());
      }
      catch (Exception e)
      {
         log.warn("Error destroying Topic: " + config.getName(), e);
      }
   }

}
