/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2008, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.validation;

import javax.servlet.ServletContext;
import javax.validation.ValidatorFactory;

import org.jboss.mc.servlet.vdf.api.BaseAttachmentVDFConnector;

/**
 * Get ValidatorFactory from MC (VDF layer).
 *
 * @author Ales Justin
 */
public class ValidatorFactoryVDFConnector extends BaseAttachmentVDFConnector<ValidatorFactory>
{
   public static final String ALLOW_HIERARCHY_LOOKUP = "org.jboss.mc.servlet.vdf.allow_hierarchy_lookup";

   public ValidatorFactoryVDFConnector(ServletContext servletContext)
   {
      super(servletContext);
      String allowHierarchyLookupString = servletContext.getInitParameter(ALLOW_HIERARCHY_LOOKUP);
      // by default we allow hierarchy lookup; this might change once we have VF per module
      setAllowHierarchyLookup("false".equals(allowHierarchyLookupString) == false);
   }

   protected Class<ValidatorFactory> getAttachmentType()
   {
      return ValidatorFactory.class;
   }
}